local addonName, addonNamespace = ...

local AceLocale = LibStub and LibStub('AceLocale-3.0', true)
local L

if AceLocale then
    local defaultLocale = 'enUS'

    local data = {
        enUS = {
	ENCHANTED = "Enchanted:",
}
 or
        {},
        deDE = {
	ENCHANTED = "Verzaubert:",
}
 or
        {},
        esES = {
	ENCHANTED = "Encantado:",
}
 or
        {},
        esMX = {
	ENCHANTED = "Encantado:",
}
 or
        {},
        frFR = {
	ENCHANTED = "Enchanté:",
}
 or
        {},
        itIT = {
	ENCHANTED = "Incantato:",
}
 or
        {},
        koKR = {
	ENCHANTED = "마법부여:", -- Needs review
}
 or
        {},
        ptBR = {
	ENCHANTED = "Encantado:", -- Needs review
}
 or
        {},
        ruRU = {
	ENCHANTED = "Зачаровано:",
}
 or
        {},
        zhTW = {
	ENCHANTED = "附魔:",
}
 or
        {},
        zhCN = {
	ENCHANTED = "附魔:", -- Needs review
}
 or
        {},
    }

    local function RegisterLocale(locale, strings)
        local L = AceLocale:NewLocale(addonName, locale, locale == defaultLocale, true)

        if L then
            for key, translation in pairs(strings) do
                L[key] = translation
            end
        end
    end

    RegisterLocale(defaultLocale, data[defaultLocale])

    for locale, strings in pairs(data) do
        if locale ~= defaultLocale then
            RegisterLocale(locale, strings)
        end
    end

    L = AceLocale:GetLocale(addonName, true)
end

if not L then
    L = {}

    setmetatable(L, {
        __index = function(table, key)
            return key
        end
    })
end

addonNamespace.L = L
